#include <core/Logger.h>
#include <core/Utility.h>
#include <locale.h>
#include <stdio.h>
#include <string.h>

#include "Tests.h"

int main(int argAmount, char** args) {
    if(argAmount >= 2 && strcmp(args[1], "help") == 0) {
        puts("test");
        puts("window");
        return 0;
    }
    setlocale(LC_ALL, "en_US.utf8");
    if(argAmount < 2) {
        LOG_ERROR("missing mode");
        return 0;
    } else if(strcmp("test", args[1]) == 0) {
        testImageReader("test/resources");
        testNetwork();
    } else if(strcmp("window", args[1]) == 0) {
        testWindow();
    }
    finalizeTests();
    printMemoryReport();
    return 0;
}
